### Method

# WebKit2WebExtension ConsoleMessage get_source_id

#### Declaration [src]

    const gchar*
    webkit_console_message_get_source_id (
      WebKitConsoleMessage* console_message
    )

#### Description [src]

Gets the source identifier of a `WebKitConsoleMessage`.

Available since: | 2.12

#### Return value

Returns: | `const gchar*`
| The source identifier of `console_message`.
| The data is owned by the instance.
| The value is a NUL terminated UTF-8 string.